
Redmine - Defect #13480

Can't move issue to a new project via the api

2013-03-14 18:59 - Clemens Rudert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version:  

Description

Hi every body. Problem: see subject.

I was using redmine 1.2.1 until now. There the problem apears also. I was intrested if it still remains in the new redmine version. And

it seems to be. I found many other questions to this problem. But no resolving answer. Maybe it is because searching for 'moving

issue to new project via api in redmine' (or any thing else issue related search term) throws a infinit amount of results.

I use:

ruby: ruby 1.9.3p392

postgres: 9.1

gems:

actionmailer (3.2.12)

actionpack (3.2.12)

activemodel (3.2.12)

activerecord (3.2.12)

activeresource (3.2.12)

activesupport (3.2.12)

arel (3.0.2)

builder (3.0.4, 3.0.0)

bundler (1.3.3)

coderay (1.0.9)

erubis (2.7.0)

fastercsv (1.5.0)

hike (1.2.1)

i18n (0.6.4)

journey (1.0.4)

jquery-rails (2.0.3)

json (1.7.7)

mail (2.4.4)

metaclass (0.0.1)

mime-types (1.21)

mocha (0.12.3)

multi_json (1.6.1)

mysql (2.8.1)

mysql2 (0.3.11)

net-ldap (0.3.1)

pg (0.11.0)

polyglot (0.3.3)

rack (1.4.5)

rack-cache (1.2)

rack-openid (1.3.1)

rack-ssl (1.3.3)

rack-test (0.6.2)

rails (3.2.12)

railties (3.2.12)

rake (10.0.3)

rdoc (3.12.2)

rmagick (2.13.2)

ruby-openid (2.2.3)

shoulda (2.11.0)

sprockets (2.2.2)

2025-07-01 1/2



sqlite3 (1.3.7)

test-unit (2.5.4)

thor (0.17.0)

tilt (1.3.5)

treetop (1.4.12)

tzinfo (0.3.37)

yard (0.8.5.2)

Redmine info page shows this:

Environment:

Redmine version                          2.2.3.stable

Ruby version                             1.9.3 (x86_64-linux)

Rails version                            3.2.12

Environment                              development

Database adapter                         PostgreSQL

 Description of what I do:

PUT /issues/8688.json?

with {"issue":{"project_id":"59","assigned_to_id":"7","notes":"BlaBla!"}}

Description of what I expect:

The issue 8688 is assigned to user id 7 edited in notes with blabla and the new project id is 59.

Works great for assigned to and notes. But not/never for project id. This also down in version 1.2.1. I try this because the redmine

rest api documentation offers this. But also I'am very intrested in this because of automatic ticket moving. So every help is

appreciated.

Thanks a lot!

Kalle

History

#1 - 2021-06-29 07:30 - Go MAEDA

- Status changed from New to Needs feedback

- Resolution set to Cant reproduce

I cannot reproduce the issue. The following command worked as expected. Maybe you don't have appropriate permission.

curl -X PUT -H 'Content-Type: application/json' -H 'Authorization: Basic YWRtaW46YWRtaW4=' -i 'http://localhos

t:3000/issues/1.json' --data '{"issue": {"project_id": "2"}}'

#2 - 2023-06-22 15:27 - Go MAEDA

- Status changed from Needs feedback to Closed
